Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class TimeZoneSelector

    java.lang.Object
      org.jboss.seam.core.AbstractMutable
          org.jboss.seam.core.Selector
              org.jboss.seam.core.TimeZoneSelector

All Implemented Interfaces:
  Serializable, Mutable

    @Scope(value=SESSION)
    @Name(value="org.jboss.seam.core.timeZoneSelector")
    @Intercept(value=NEVER)
    @Install(value=false,
             precedence=0)
    public class TimeZoneSelector

extends Selector

Selects the current user's time zone, defaulting to the server time zone.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`TimeZoneSelector()`

Method Summary
`protected String` | `getCookieName()` Override to define the cookie name
`TimeZone` | `getTimeZone()` Get the selected timezone
`String` | `getTimeZoneId()`
`void` | `initTimeZone()`
`static TimeZoneSelector` | `instance()`
`void` | `select()` Force the resource bundle to reload, using the current locale, and raise the org.jboss.seam.timeZoneSelected event
`void` | `setTimeZone(TimeZone timeZone)`
`void` | `setTimeZoneId(String id)`

Methods inherited from class org.jboss.seam.core.Selector
`clearCookieValue, getCookie, getCookieMaxAge, getCookieValue, getCookieValueIfEnabled, isCookieEnabled, setCookieEnabled, setCookieMaxAge, setCookieValueIfEnabled`

Methods inherited from class org.jboss.seam.core.AbstractMutable
`clearDirty, setDirty, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZoneSelector

    public TimeZoneSelector()

Method Detail

### initTimeZone

    @Create
    public void initTimeZone()

### getCookieName

    protected String getCookieName()

  Description copied from class: `Selector`
  Override to define the cookie name

  Specified by:
    `getCookieName` in class `Selector`

### select

    public void select()

  Force the resource bundle to reload, using the current locale, and raise the org.jboss.seam.timeZoneSelected event

### setTimeZone

    public void setTimeZone(TimeZone timeZone)

### setTimeZoneId

    public void setTimeZoneId(String id)

### getTimeZoneId

    public String getTimeZoneId()

### getTimeZone

    public TimeZone getTimeZone()

  Get the selected timezone

### instance

    public static TimeZoneSelector instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD